Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Seq_Worker_T< TYPE > Class Template Reference

Helper to construct a sequence of IDS in a collections. More...

`#include <Seq_Worker_T.h>`

Inheritance diagram for TAO_Notify_Seq_Worker_T< TYPE >:

[legend]
Collaboration diagram for TAO_Notify_Seq_Worker_T< TYPE >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Seq_Worker_T (void)
| Constructor.
SEQ * | create (CONTAINER &container ACE_ENV_ARG_DECL)
| create a SEQ
## Protected Methods
void | work (TYPE *object ACE_ENV_ARG_DECL)
| = TAO_ESF_Worker method
## Protected Attributes
SEQ_VAR | seq_
| The result.
## Private Types
typedef TAO_Notify_Container_T< TYPE > | CONTAINER
typedef TAO_ESF_Proxy_Collection< TYPE > | COLLECTION
typedef TYPE::SEQ | SEQ
typedef TYPE::SEQ_VAR | SEQ_VAR

## Detailed Description

### template<class TYPE>
class TAO_Notify_Seq_Worker_T< TYPE >

Helper to construct a sequence of IDS in a collections.

## Member Typedef Documentation

template<class TYPE>
typedef TAO_ESF_Proxy_Collection<TYPE> TAO_Notify_Seq_Worker_T< TYPE >::COLLECTION`[private]`

template<class TYPE>
typedef TAO_Notify_Container_T<TYPE> TAO_Notify_Seq_Worker_T< TYPE >::CONTAINER`[private]`

template<class TYPE>
typedef TYPE::SEQ TAO_Notify_Seq_Worker_T< TYPE >::SEQ`[private]`

template<class TYPE>
typedef TYPE::SEQ_VAR TAO_Notify_Seq_Worker_T< TYPE >::SEQ_VAR`[private]`

## Constructor & Destructor Documentation

template<class T>
TAO_Notify_Seq_Worker_T< T >::TAO_Notify_Seq_Worker_T | ( | void |  | ) |

| Constructor.

## Member Function Documentation

template<class TYPE>
ACE_TYPENAME TAO_Notify_Seq_Worker_T< TYPE >::SEQ * TAO_Notify_Seq_Worker_T< TYPE >::create | ( | CONTAINER &container | ACE_ENV_ARG_DECL | ) |

| create a SEQ

template<class TYPE>
void TAO_Notify_Seq_Worker_T< TYPE >::work | ( | TYPE *object | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| = TAO_ESF_Worker method Implements TAO_ESF_Worker< TYPE >.

## Member Data Documentation

template<class TYPE>
SEQ_VAR TAO_Notify_Seq_Worker_T< TYPE >::seq_`[protected]`

| The result.

The documentation for this class was generated from the following files:

- Seq_Worker_T.h
- Seq_Worker_T.cpp